NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::ShipDesign::PenetrationRequestBuilder Class Reference

Represents a NXOpen::Features::ShipDesign::PenetrationRequest builder
To create a new instance of this class, use NXOpen::Features::ShipDesign::PenetrationRequestCollection::CreatePenetrationRequestBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::ShipDesign::PenetrationRequestBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  RequestDialogType {
  RequestDialogTypeUnknown, RequestDialogTypeCreate, RequestDialogTypeModify, RequestDialogTypeRevise,
  RequestDialogTypeAssociate, RequestDialogTypeEditAssociate, RequestDialogTypeReviseAssociate
}
 Represents the dialog type. More...
 

Public Member Functions

void AddAdjacentStructure (NXOpen::Body *adjacentStructure)
 Adds adjacent structures
Created in NX8.5.0. More...
 
void AddNonIntersectedStructure (NXOpen::Body *structure)
 Adds nonintersected structures
Created in NX8.5.0. More...
 
NXString CompensationNumber ()
 Returns the compensation number
Created in NX8.0.0. More...
 
NXOpen::Features::ShipDesign::PenetrationRequest::CompensationType CompensationType ()
 Returns the compensation type
Created in NX8.0.0. More...
 
NXOpen::ExpressionCornerRadius ()
 Returns the corner radius expression
Created in NX8.0.0. More...
 
NXOpen::Features::ShipDesign::PenetrationRequest::CoutoutType CoutoutType ()
 Returns the coutout type
Created in NX8.0.0. More...
 
bool Cut ()
 Returns the cut
Created in NX8.0.0. More...
 
NXOpen::Features::ShipDesign::PenetrationRequestBuilder::RequestDialogType DialogType ()
 Returns the dialog type
Created in NX8.5.0. More...
 
NXOpen::ExpressionDiameter ()
 Returns the diameter expression
Created in NX8.0.0. More...
 
NXOpen::Features::ShipDesign::PenetrationRequest::DirectionType DirectionType ()
 Returns the direction
Created in NX8.0.0. More...
 
NXString DueDate ()
 Returns the due date
Created in NX8.0.0. More...
 
std::vector< NXStringGetRequestDescription ()
 Returns the description. More...
 
bool Hanger ()
 Returns the hanger
Created in NX8.0.0. More...
 
NXString HangerNumber ()
 Returns the hanger number
Created in NX8.0.0. More...
 
NXOpen::ExpressionHeight ()
 Returns the height expression
Created in NX8.0.0. More...
 
NXString HoleSubType ()
 Returns the hole sub-type
Created in NX8.5.0. More...
 
NXString HoleType ()
 Returns the hole type
Created in NX8.5.0. More...
 
NXOpen::DirectionHorizontalDirection ()
 Returns the horizontal direction
Created in NX8.0.0. More...
 
NXOpen::SketchModifiedSketch ()
 Returns the modified sketch
Created in NX8.5.0. More...
 
NXOpen::ExpressionOffset ()
 Returns the offset expression
Created in NX8.0.0. More...
 
NXOpen::DirectionOrientation ()
 Returns the orientation
Created in NX8.0.0. More...
 
NXOpen::Features::ShipDesign::PenetrationRequest::PenetrationType PenetrationType ()
 Returns the penetration type
Created in NX8.0.0. More...
 
NXOpen::PointPoint ()
 Returns the penetrating point
Created in NX8.0.0. More...
 
NXOpen::ExpressionRadius ()
 Returns the radius expression
Created in NX8.0.0. More...
 
void RemoveAllAdjacentStructures ()
 Removes all adjacent structures
Created in NX8.5.0. More...
 
void RemoveNonIntersectedStructures ()
 Removes all nonintersected structures
Created in NX8.5.0. More...
 
NXString RequestName ()
 Returns the request name
Created in NX8.0.0. More...
 
NXOpen::Features::ShipDesign::PenetrationRequest::RequestType RequestType ()
 Returns the request type
Created in NX8.0.0. More...
 
NXOpen::SelectNXObjectListRouteObjectCollector ()
 Returns the route object collector
Created in NX8.0.0. More...
 
NXOpen::SelectNXObjectListRoutePenetrating ()
 Returns the route penetrating
Created in NX8.0.0. More...
 
NXOpen::NXObjectSelectedSegment ()
 Returns the selected segment
Created in NX8.0.0. More...
 
NXOpen::SelectNXObjectSelectionCompensation ()
 Returns the selection compensation
Created in NX8.0.0. More...
 
NXOpen::SelectNXObjectSelectionHanger ()
 Returns the selection hanger
Created in NX8.0.0. More...
 
NXOpen::SelectNXObjectSelectionStructure ()
 Returns the selection structure
Created in NX8.0.0. More...
 
void SetApplyOffset (bool applyOffset)
 Sets the value that whether the offset is applied
Created in NX12.0.0. More...
 
void SetCompensationNumber (const NXString &stringCompensationNumber)
 Sets the compensation number
Created in NX8.0.0. More...
 
void SetCompensationNumber (const char *stringCompensationNumber)
 Sets the compensation number
Created in NX8.0.0. More...
 
void SetCompensationType (NXOpen::Features::ShipDesign::PenetrationRequest::CompensationType enumCompensationType)
 Sets the compensation type
Created in NX8.0.0. More...
 
void SetCoutoutType (NXOpen::Features::ShipDesign::PenetrationRequest::CoutoutType enumCoutoutType)
 Sets the coutout type
Created in NX8.0.0. More...
 
void SetCut (bool toggleCut)
 Sets the cut
Created in NX8.0.0. More...
 
void SetDialogType (NXOpen::Features::ShipDesign::PenetrationRequestBuilder::RequestDialogType dialogType)
 Sets the dialog type
Created in NX8.5.0. More...
 
void SetDirectionType (NXOpen::Features::ShipDesign::PenetrationRequest::DirectionType enumDirection)
 Sets the direction
Created in NX8.0.0. More...
 
void SetDueDate (const NXString &stringDueDate)
 Sets the due date
Created in NX8.0.0. More...
 
void SetDueDate (const char *stringDueDate)
 Sets the due date
Created in NX8.0.0. More...
 
void SetHanger (bool toggleHanger)
 Sets the hanger
Created in NX8.0.0. More...
 
void SetHangerNumber (const NXString &stringHangerNumber)
 Sets the hanger number
Created in NX8.0.0. More...
 
void SetHangerNumber (const char *stringHangerNumber)
 Sets the hanger number
Created in NX8.0.0. More...
 
void SetHoleSubType (const NXString &stringHoleType)
 Sets the hole sub-type
Created in NX8.5.0. More...
 
void SetHoleSubType (const char *stringHoleType)
 Sets the hole sub-type
Created in NX8.5.0. More...
 
void SetHoleType (const NXString &stringHoleType)
 Sets the hole type
Created in NX8.5.0. More...
 
void SetHoleType (const char *stringHoleType)
 Sets the hole type
Created in NX8.5.0. More...
 
void SetHorizontalDirection (NXOpen::Direction *vectorHorizontalDirection)
 Sets the horizontal direction
Created in NX8.0.0. More...
 
void SetModifiedSketch (NXOpen::Sketch *modifiedSketch)
 Sets the modified sketch
Created in NX8.5.0. More...
 
void SetOffsetValue (double offsetValue)
 Sets the offset value
Created in NX12.0.0. More...
 
void SetOrientation (NXOpen::Direction *vectorOrientation)
 Sets the orientation
Created in NX8.0.0. More...
 
void SetPenetrationType (NXOpen::Features::ShipDesign::PenetrationRequest::PenetrationType enumPenetrationType)
 Sets the penetration type
Created in NX8.0.0. More...
 
void SetPoint (NXOpen::Point *pointPenetrating)
 Sets the penetrating point
Created in NX8.0.0. More...
 
void SetRequestDescription (const std::vector< NXString > &stringDesc)
 Sets the description
Created in NX8.0.0. More...
 
void SetRequestName (const NXString &stringName)
 Sets the request name
Created in NX8.0.0. More...
 
void SetRequestName (const char *stringName)
 Sets the request name
Created in NX8.0.0. More...
 
void SetRequestType (NXOpen::Features::ShipDesign::PenetrationRequest::RequestType enumRequestType)
 Sets the request type
Created in NX8.0.0. More...
 
void SetSelectedSegment (NXOpen::NXObject *selectedSegment)
 Sets the selected segment
Created in NX8.0.0. More...
 
void SetSpill (bool toggleSpill)
 Sets the spill
Created in NX8.0.0. More...
 
NXOpen::SectionSketch ()
 Returns the sketch
Created in NX8.0.0. More...
 
bool Spill ()
 Returns the spill
Created in NX8.0.0. More...
 
NXOpen::ExpressionWidth ()
 Returns the width expression
Created in NX8.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::ShipDesign::PenetrationRequest builder
To create a new instance of this class, use NXOpen::Features::ShipDesign::PenetrationRequestCollection::CreatePenetrationRequestBuilder
Default values.

Property Value

CompensationType

NotRequired

CornerRadius.Value

0 (millimeters part), 0 (inches part)

CoutoutType

Circular

Cut

0

Diameter.Value

0 (millimeters part), 0 (inches part)

DirectionType

PerpendiculartoStructure

Hanger

0

Height.Value

0 (millimeters part), 0 (inches part)

Offset.Value

0 (millimeters part), 0 (inches part)

PenetrationType

PenetratingObject

Radius.Value

0 (millimeters part), 0 (inches part)

RequestType

Single

Spill

0

Width.Value

0 (millimeters part), 0 (inches part)


Created in NX8.0.0.

Member Enumeration Documentation

Represents the dialog type.

Enumerator
RequestDialogTypeUnknown 

unknown

RequestDialogTypeCreate 

create

RequestDialogTypeModify 

modify

RequestDialogTypeRevise 

revise

RequestDialogTypeAssociate 

associate

RequestDialogTypeEditAssociate 

edit associate

RequestDialogTypeReviseAssociate 

revise associate

Member Function Documentation

void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::AddAdjacentStructure ( NXOpen::Body adjacentStructure)

Adds adjacent structures
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
adjacentStructureadjacentstructure
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::AddNonIntersectedStructure ( NXOpen::Body structure)

Adds nonintersected structures
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
structurestructure
NXString NXOpen::Features::ShipDesign::PenetrationRequestBuilder::CompensationNumber ( )

Returns the compensation number
Created in NX8.0.0.



License requirements : None

NXOpen::Features::ShipDesign::PenetrationRequest::CompensationType NXOpen::Features::ShipDesign::PenetrationRequestBuilder::CompensationType ( )

Returns the compensation type
Created in NX8.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::CornerRadius ( )

Returns the corner radius expression
Created in NX8.0.0.



License requirements : None

NXOpen::Features::ShipDesign::PenetrationRequest::CoutoutType NXOpen::Features::ShipDesign::PenetrationRequestBuilder::CoutoutType ( )

Returns the coutout type
Created in NX8.0.0.



License requirements : None

bool NXOpen::Features::ShipDesign::PenetrationRequestBuilder::Cut ( )

Returns the cut
Created in NX8.0.0.



License requirements : None

NXOpen::Features::ShipDesign::PenetrationRequestBuilder::RequestDialogType NXOpen::Features::ShipDesign::PenetrationRequestBuilder::DialogType ( )

Returns the dialog type
Created in NX8.5.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::Diameter ( )

Returns the diameter expression
Created in NX8.0.0.



License requirements : None

NXOpen::Features::ShipDesign::PenetrationRequest::DirectionType NXOpen::Features::ShipDesign::PenetrationRequestBuilder::DirectionType ( )

Returns the direction
Created in NX8.0.0.



License requirements : None

NXString NXOpen::Features::ShipDesign::PenetrationRequestBuilder::DueDate ( )

Returns the due date
Created in NX8.0.0.



License requirements : None

std::vector<NXString> NXOpen::Features::ShipDesign::PenetrationRequestBuilder::GetRequestDescription ( )

Returns the description.

Returns

Created in NX8.0.0.

License requirements : None
bool NXOpen::Features::ShipDesign::PenetrationRequestBuilder::Hanger ( )

Returns the hanger
Created in NX8.0.0.



License requirements : None

NXString NXOpen::Features::ShipDesign::PenetrationRequestBuilder::HangerNumber ( )

Returns the hanger number
Created in NX8.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::Height ( )

Returns the height expression
Created in NX8.0.0.



License requirements : None

NXString NXOpen::Features::ShipDesign::PenetrationRequestBuilder::HoleSubType ( )

Returns the hole sub-type
Created in NX8.5.0.



License requirements : None

NXString NXOpen::Features::ShipDesign::PenetrationRequestBuilder::HoleType ( )

Returns the hole type
Created in NX8.5.0.



License requirements : None

NXOpen::Direction* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::HorizontalDirection ( )

Returns the horizontal direction
Created in NX8.0.0.



License requirements : None

NXOpen::Sketch* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::ModifiedSketch ( )

Returns the modified sketch
Created in NX8.5.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::Offset ( )

Returns the offset expression
Created in NX8.0.0.



License requirements : None

NXOpen::Direction* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::Orientation ( )

Returns the orientation
Created in NX8.0.0.



License requirements : None

NXOpen::Features::ShipDesign::PenetrationRequest::PenetrationType NXOpen::Features::ShipDesign::PenetrationRequestBuilder::PenetrationType ( )

Returns the penetration type
Created in NX8.0.0.



License requirements : None

NXOpen::Point* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::Point ( )

Returns the penetrating point
Created in NX8.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::Radius ( )

Returns the radius expression
Created in NX8.0.0.



License requirements : None

void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::RemoveAllAdjacentStructures ( )

Removes all adjacent structures
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::RemoveNonIntersectedStructures ( )

Removes all nonintersected structures
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

NXString NXOpen::Features::ShipDesign::PenetrationRequestBuilder::RequestName ( )

Returns the request name
Created in NX8.0.0.



License requirements : None

NXOpen::Features::ShipDesign::PenetrationRequest::RequestType NXOpen::Features::ShipDesign::PenetrationRequestBuilder::RequestType ( )

Returns the request type
Created in NX8.0.0.



License requirements : None

NXOpen::SelectNXObjectList* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::RouteObjectCollector ( )

Returns the route object collector
Created in NX8.0.0.



License requirements : None

NXOpen::SelectNXObjectList* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::RoutePenetrating ( )

Returns the route penetrating
Created in NX8.0.0.



License requirements : None

NXOpen::NXObject* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SelectedSegment ( )

Returns the selected segment
Created in NX8.0.0.



License requirements : None

NXOpen::SelectNXObject* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SelectionCompensation ( )

Returns the selection compensation
Created in NX8.0.0.



License requirements : None

NXOpen::SelectNXObject* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SelectionHanger ( )

Returns the selection hanger
Created in NX8.0.0.



License requirements : None

NXOpen::SelectNXObject* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SelectionStructure ( )

Returns the selection structure
Created in NX8.0.0.



License requirements : None

void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetApplyOffset ( bool  applyOffset)

Sets the value that whether the offset is applied
Created in NX12.0.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
applyOffsetapplyoffset
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetCompensationNumber ( const NXString stringCompensationNumber)

Sets the compensation number
Created in NX8.0.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
stringCompensationNumberstringcompensationnumber
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetCompensationNumber ( const char *  stringCompensationNumber)

Sets the compensation number
Created in NX8.0.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
stringCompensationNumberstringcompensationnumber
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetCompensationType ( NXOpen::Features::ShipDesign::PenetrationRequest::CompensationType  enumCompensationType)

Sets the compensation type
Created in NX8.0.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
enumCompensationTypeenumcompensationtype
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetCoutoutType ( NXOpen::Features::ShipDesign::PenetrationRequest::CoutoutType  enumCoutoutType)

Sets the coutout type
Created in NX8.0.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
enumCoutoutTypeenumcoutouttype
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetCut ( bool  toggleCut)

Sets the cut
Created in NX8.0.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
toggleCuttogglecut
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetDialogType ( NXOpen::Features::ShipDesign::PenetrationRequestBuilder::RequestDialogType  dialogType)

Sets the dialog type
Created in NX8.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
dialogTypedialogtype
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetDirectionType ( NXOpen::Features::ShipDesign::PenetrationRequest::DirectionType  enumDirection)

Sets the direction
Created in NX8.0.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
enumDirectionenumdirection
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetDueDate ( const NXString stringDueDate)

Sets the due date
Created in NX8.0.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
stringDueDatestringduedate
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetDueDate ( const char *  stringDueDate)

Sets the due date
Created in NX8.0.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
stringDueDatestringduedate
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetHanger ( bool  toggleHanger)

Sets the hanger
Created in NX8.0.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
toggleHangertogglehanger
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetHangerNumber ( const NXString stringHangerNumber)

Sets the hanger number
Created in NX8.0.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
stringHangerNumberstringhangernumber
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetHangerNumber ( const char *  stringHangerNumber)

Sets the hanger number
Created in NX8.0.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
stringHangerNumberstringhangernumber
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetHoleSubType ( const NXString stringHoleType)

Sets the hole sub-type
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
stringHoleTypestringholetype
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetHoleSubType ( const char *  stringHoleType)

Sets the hole sub-type
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
stringHoleTypestringholetype
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetHoleType ( const NXString stringHoleType)

Sets the hole type
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
stringHoleTypestringholetype
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetHoleType ( const char *  stringHoleType)

Sets the hole type
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
stringHoleTypestringholetype
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetHorizontalDirection ( NXOpen::Direction vectorHorizontalDirection)

Sets the horizontal direction
Created in NX8.0.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
vectorHorizontalDirectionvectorhorizontaldirection
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetModifiedSketch ( NXOpen::Sketch modifiedSketch)

Sets the modified sketch
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
modifiedSketchmodifiedsketch
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetOffsetValue ( double  offsetValue)

Sets the offset value
Created in NX12.0.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
offsetValueoffsetvalue
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetOrientation ( NXOpen::Direction vectorOrientation)

Sets the orientation
Created in NX8.0.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
vectorOrientationvectororientation
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetPenetrationType ( NXOpen::Features::ShipDesign::PenetrationRequest::PenetrationType  enumPenetrationType)

Sets the penetration type
Created in NX8.0.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
enumPenetrationTypeenumpenetrationtype
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetPoint ( NXOpen::Point pointPenetrating)

Sets the penetrating point
Created in NX8.0.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
pointPenetratingpointpenetrating
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetRequestDescription ( const std::vector< NXString > &  stringDesc)

Sets the description
Created in NX8.0.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
stringDescstringdesc
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetRequestName ( const NXString stringName)

Sets the request name
Created in NX8.0.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
stringNamestringname
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetRequestName ( const char *  stringName)

Sets the request name
Created in NX8.0.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
stringNamestringname
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetRequestType ( NXOpen::Features::ShipDesign::PenetrationRequest::RequestType  enumRequestType)

Sets the request type
Created in NX8.0.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
enumRequestTypeenumrequesttype
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetSelectedSegment ( NXOpen::NXObject selectedSegment)

Sets the selected segment
Created in NX8.0.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
selectedSegmentselectedsegment
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetSpill ( bool  toggleSpill)

Sets the spill
Created in NX8.0.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
toggleSpilltogglespill
NXOpen::Section* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::Sketch ( )

Returns the sketch
Created in NX8.0.0.



License requirements : None

bool NXOpen::Features::ShipDesign::PenetrationRequestBuilder::Spill ( )

Returns the spill
Created in NX8.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::Width ( )

Returns the width expression
Created in NX8.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.